This website uses cookies

Our website, platform and/or any sub domains use cookies to understand how you use our services, and to improve both your experience and our marketing relevance.

This website uses cookies

Our website, platform and/or any sub domains use cookies to understand how you use our services, and to improve both your experience and our marketing relevance.

Introducing Cloudways Community Forum. Start Discussions and Get Instant Help From Cloudways Community. JOIN NOW

PHP 7.x Compatibility on Cloudways PlatformJune 21, 2018

 

In this KB

  • Most common queries and issues related to PHP 7.x
  • Compatibility with different web application(s)

 

Note: It is important to know that PHP 7.x works with Debian 8(servers created after February 9th of 2016) and higher but not with Debian 7.

When upgrading to PHP 7.x, your application packages will not be updated automatically so you will have to ensure that your code/application is fully compatible with PHP 7.x.

Similarly, if you (through ticketing system) had any modifications made in Global PHP ini’s, they will not be exported during the upgrade to PHP 7.x. Only settings made through the Cloudways console will be carried forward.

Following are the lists of supported and non-supported applications with PHP 7.x.

PHP 7.0 and 7.1

Supported Applications and Versions

  • WordPress 4.3 and higher
  • Magento 2.x (for Magento 1.9x, contact our support staff)
  • Prestashop 1.6+
  • Joomla 3.5 and higher (for Joomla 3.4.8 version, contact our support staff).
  • Moodle 3.0.2+
  • Laravel 5.2 and higher
  • MediaWiki latest version
  • Drupal 7 and higher
  • Koken latest version
  • OpenCart 3.0.x+
  • Thirty Bees 1.0.3

PHP 7.2

Supported Applications and Versions

  • WordPress 4.3 and higher
  • For Magento 1.9x, contact our support
  • Joomla 3.5 and higher (for Joomla 3.4.8 version, contact our support staff).
  • Moodle 3.0.2+
  • Laravel 5.2 and higher
  • MediaWiki latest version
  • Koken latest version
  • OpenCart 3.0.x+
  • Thirty Bees 1.0.3

Not Supported Application(s)

  • SugarCRM
  • Magento 2.x

Not Supported PHP Extensions

  • Ioncube (No official support available yet)
  • PHP memcache is not supported, though PHP memcached is available to use
Please insert Content
Have Questions? Ask From Our Helpful Community

One Response

  1. Joe says:

    New Relic added PHP 7 support in their agent (changelog here: https://docs.newrelic.com/docs/release-notes/agent-release-notes/php-release-notes/php-agent-600155 )

    Has Cloudways picked up this version yet? Thanks.

Do you still need help?

Our Technical Support team is always at work.